## Real-time Online/Offline Charging System (OCS) for Telecom & ISP environments ##

[![Build Status](https://secure.travis-ci.org/cgrates/cgrates.png)](http://travis-ci.org/cgrates/cgrates)

### Features ###
+ Real-time Online/Offline Charging System (OCS).
+ Account Balances Management with bundle support.
+ Session or Event charging with reservation.
+ Rating engine.
+ CDR logging with support for Interim Records.
+ QoS LCR and LCR over Bundles.
+ Fraud detection with automatic mitigation.
+ Call Statistics with pattern monitoring.
+ Performance oriented.
+ Modular architecture.
+ Test driven development.
+ Plug-able/non-intrusive into existing setups.
+ Cloud-ready, built on independent micro-services with rich set of RPC APIs.
+ Agile in developing new features.
+ Very fast (5000+ req/sec on a single machine)
+ Good documentation.
+ Commercial support available

### Documentation ###
[Step by steps tutorials](https://cgrates.readthedocs.org/en/latest/tut_freeswitch.html)

[Debian apt-get repository](https://cgrates.readthedocs.io/en/latest/installation.html#debian-jessie-wheezy)

[Installing CGRateS from sources on minimal debian](https://asciinema.org/a/0lwlputceg52xssqgra7wjza0) (for devel or testing)

Browsable HTML docs http://readthedocs.org/docs/cgrates/

PDF, Epub, Manpage http://readthedocs.org/projects/cgrates/downloads/

API reference [godoc](http://godoc.org/github.com/cgrates/cgrates/apier)

Also check [irc.freenode.net #cgrates](irc://irc.freenode.net:6667/cgrates)  ([Webchat](http://webchat.freenode.net?randomnick=1&channels=%23cgrates)) and [Google group](https://groups.google.com/forum/#!forum/cgrates) for a more real-time support.

